{% extends "customers/base_iframe.html" %}
{% load staticfiles %}
{% load widget_tweaks %}
{% load i18n %}
{% load active_tag %}

{% block title %}Nueva Orden de Servicio{% endblock %}


{% block page %}

		<div class="col-xl-12 ui-sortable">
		  <!-- begin panel -->
		  <div class="panel panel-inverse" data-sortable-id="ui-general-1">
			<!-- begin panel-heading -->
			<div class="panel-heading ui-sortable-handle">
			  <h4 class="panel-title">Orden de Servicio</h4>
			  <div class="panel-heading-btn">
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
			  </div>
			</div>
			<!-- end panel-heading -->
			<!-- begin panel-body -->
			<div class="panel-body">
<form class="form-horizontal" method="post" enctype="multipart/form-data">
  {% csrf_token %}
  <div class="form-group row m-b-15">
    <label for="id_kind" class="col-form-label col-md-3">Tipo</label>
    <div class="col-sm-9">
<select name="kind" class="form-control m-b-5" required id="id_kind">
<option value="" selected>---------</option>

<option value="Instalacion Hogar - UTP 1h">Instalacion Hogar - UTP 1h</option>

<option value="Instalacion Hogar - UTP 2h">Instalacion Hogar - UTP 2h</option>

<option value="Instalacion Hogar - Fibra 1h">Instalacion Hogar - Fibra 1h</option>

<option value="Instalacion Hogar - Fibra 2h">Instalacion Hogar - Fibra 2h</option>

<option value="Instalacion Hogar - Antena 2h">Instalacion Hogar - Antena 2h</option>

<option value="Instalacion Hogar - Apoyo Instalacion 1h">Instalacion Hogar - Apoyo Instalacion 1h</option>

<option value="Instalacion Hogar - Apoyo Instalacion 2h">Instalacion Hogar - Apoyo Instalacion 2h</option>

<option value="Instalacion Hogar - Migracion a fibra 1h">Instalacion Hogar - Migracion a fibra 1h</option>

<option value="Instalacion Hogar - Migracion a fibra 2h">Instalacion Hogar - Migracion a fibra 2h</option>

<option value="Visita Tecnica - Cliente sin servicio">Visita Tecnica - Cliente sin servicio (60 min)</option>

<option value="Visita Tecnica - Cambio de equipo">Visita Tecnica - Cambio de equipo (60 min)</option>

<option value="Visita Tecnica - Cablear SmarTV">Visita Tecnica - Cablear SmarTV (60 min)</option>

<option value="Visita Tecnica - Otros 1h">Visita Tecnica - Otros 1h</option>

<option value="Visita Tecnica - Otros 2h">Visita Tecnica - Otros 2h</option>

<option value="Visita Tecnica - Otros 15min">Visita Tecnica - Otros 15min</option> 

<option value="Retiro de equipo">Retiro de equipo (30 min)</option>

<option value="Mantencion red Fibra - 1 Hora">Mantencion red Fibra - 1 Hora</option>

<option value="Mantencion red Fibra - 2 Horas">Mantencion red Fibra - 2 Horas</option>

<option value="Mantencion red UTP - 1 Hora">Mantencion red UTP - 1 Hora</option>

<option value="Mantencion red UTP - 2 Horas">Mantencion red UTP - 2 Horas</option>

<option value="Mantencion Electrica - 1 Hora">Mantencion Electrica - 1 Hora</option>

<option value="Mantencion Electrica - 2 Horas">Mantencion Electrica - 2 Horas</option>

<option value="Mantencion Alineacion antena 1h">Mantencion Alineacion antena 1h</option>

<option value="Mantencion red Cambio antena 2h">Mantencion red Cambio antena 2h</option>

</select>


    </div>
  </div>

  <div class="form-group row m-b-15">
    <label for="id_subject" class="col-form-label col-md-3">Asunto</label>
    <div class="col-sm-9">
<input type="text" name="subject" maxlength="255" class="form-control m-b-5" id="id_subject" />


    </div>
  </div>


<input type="submit" value="Ver disponibilidad" class="btn btn-primary" id="upload-button">
<a href="/services/1002/plan-orders/" class="btn btn-default">Cancelar</a>
</form>

<div tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" id="upload-modal" class="modal fade bs-example-modal-sm" style="display: none;">
        <div role="document" class="modal-dialog modal-sm">
          <div class="modal-content">
            <div class="modal-header">
              <h4 id="myLargeModalLabel" class="modal-title">Búsqueda en progreso</h4>
            </div>
            <div class="modal-body">
              <p>La búsqueda de disponibilidad puede tardar unos minutos. Por favor, espere.</p>
  <div class="loading-demo">
    <div class="loader-inner pacman">
                  <div></div>
                  <div></div>
                  <div></div>
                  <div></div>
                  <div></div>
    </div>
  </div>
            </div>
            <div class="modal-footer">
            </div>
          </div>
        </div>
      </div>


    </div>
    <!-- end panel-body -->
  </div>
  <!-- end panel -->
</div>



<!-- begin scroll to top btn -->
<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
<!-- end scroll to top btn -->

{% endblock %}



{% block pageleveljs %}
<script type="text/javascript" src="{% static 'theme/plugins/jquery.easy-pie-chart/dist/jquery.easypiechart.min.js' %}"></script>
<script>
  $("#upload-button").click(function(e){
      if ($("#id_kind").val() != ""){
    $("#upload-modal").modal();
	  
      }
  })

  $("#esp-billing").easyPieChart({barColor:"#9b59b6",trackColor:"#ecf0f1",scaleColor:!1,scaleLength:0,lineCap:"round",lineWidth:10,size:140,animate:{duration:2e3,enabled:!0}})
  $("#esp-billing-no").easyPieChart({barColor:"#9b59b6",trackColor:"#ecf0f1",scaleColor:!1,scaleLength:0,lineCap:"round",lineWidth:10,size:140,animate:{duration:2e3,enabled:!0}})
</script>
{% endblock %}
